Main Page | Namespace List | Class Hierarchy | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# gslib::static_container::list_link Struct Reference

ポインタの後ろに Value を配置する ( Link を Node が継承することで同意になる ) ことで、 uintptr_t の配列として格納領域を取れば、 アラインが適切にとられる仕組みになっている。 More...

`#include <list_node.h>`

Inheritance diagram for gslib::static_container::list_link:

[legend]
Collaboration diagram for gslib::static_container::list_link:

[legend]
List of all members.

## Public Member Functions
void | isolate ()
## Public Attributes
list_link * | next
list_link * | prev

## Detailed Description

ポインタの後ろに Value を配置する ( Link を Node が継承することで同意になる ) ことで、 uintptr_t の配列として格納領域を取れば、 アラインが適切にとられる仕組みになっている。

Definition at line 67 of file list_node.h.

## Member Function Documentation

void gslib::static_container::list_link::isolate | ( |  | ) | `[inline]`

| Definition at line 71 of file list_node.h. References next, and prev. Referenced by gslib::static_container::abstruct_list_node_pool< Value >::allocate().
    00071                            {
    00072                 if ( 0 != next ) {
    00073                     next->prev = prev;
    00074                 }
    00075                 if ( 0 != prev ) {
    00076                     prev->next = next;
    00077                 }
    00078                 next = 0;
    00079                 prev = 0;
    00080             }

## Member Data Documentation

list_link* gslib::static_container::list_link::next

| Definition at line 68 of file list_node.h. Referenced by gslib::static_container::abstruct_list_node_pool< Value >::allocate(), gslib::static_container::abstruct_list_node_pool< Value >::deallocate(), gslib::static_container::abstruct_list_node_pool< Value >::full(), gslib::static_container::abstruct_list_node_pool< Value >::init(), isolate(), and gslib::static_container::abstruct_list_node_pool< Value >::rest().

list_link* gslib::static_container::list_link::prev

| Definition at line 69 of file list_node.h. Referenced by gslib::static_container::abstruct_list_node_pool< Value >::deallocate(), gslib::static_container::abstruct_list_node_pool< Value >::init(), and isolate().

The documentation for this struct was generated from the following file:

- list_node.h